module CFlowKellyDisconnectEnum
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_FlowKellyDisconnect()
        implicit none
        
!        if (DriveType == TopDrive_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_FlowKellyDisconnect=TopDrive'
!#endif
!        endif
!        
!        
!        
!        if (DriveType == Kelly_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_FlowKellyDisconnect=Kelly'
!#endif
!        endif
        
    end subroutine
    
    subroutine Subscribe_FlowKellyDisconnect()
        implicit none
    end subroutine
    
end module CFlowKellyDisconnectEnum